# DataExchange
TKXSBase
XSControl

# XSControl_FuncShape Class Reference

Defines additionnal commands for XSControl to :
- control of initialisation (xinit, xnorm, newmodel)
- analyse of the result of a transfer (recorded in a
TransientProcess for Read, FinderProcess for Write) :
statistics, various lists (roots,complete,abnormal), what
about one specific entity, producing a model with the
abnormal result
This appendix of XSControl is compiled separately to distinguish
basic features from user callable forms
.

`#include <XSControl_FuncShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Init ()
| Defines and loads all functions which work on shapes for XSControl (as ActFunc) .
static Standard_EXPORT Standard_Integer | MoreShapes (const Handle(XSControl_WorkSession)&session, Handle(TopTools_HSequenceOfShape)&list, const Standard_CString name)

Analyses a name as designating Shapes from a Vars or from
XSTEP transfer (last Transfer on Reading). <name> can be :
"*" : all the root shapes produced by last Transfer (Read)
i.e. considers roots of the TransientProcess
a name : a name of a variable DRAW
Returns the count of designated Shapes. Their list is put in
<list>. If <list> is null, it is firstly created. Then it is
completed (Append without Clear) by the Shapes found
Returns 0 if no Shape could be found
.

static Standard_EXPORT Standard_Boolean | FileAndVar (const Handle(XSControl_WorkSession)&session, const Standard_CString file, const Standard_CString var, const Standard_CString def, TCollection_AsciiString &resfile, TCollection_AsciiString &resvar)

Analyses given file name and variable name, with a default
name for variables. Returns resulting file name and variable
name plus status "file to read"(True) or "already read"(False)
In the latter case, empty resfile means no file available
If <file> is null or empty or equates ".", considers Session
and returned status is False
Else, returns resfile = file and status is True
If is neither null nor empty, resvar = var
Else, the root part of <resfile> is considered, if defined
Else, <def> is taken
.

## Member Function Documentation

static Standard_EXPORT Standard_Boolean XSControl_FuncShape::FileAndVar | ( | const Handle(XSControl_WorkSession)& | session,
|  | const Standard_CString | file,
|  | const Standard_CString | var,
|  | const Standard_CString | def,
|  | TCollection_AsciiString & | resfile,
|  | TCollection_AsciiString & | resvar
| ) | `[static]`

static Standard_EXPORT void XSControl_FuncShape::Init | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Integer XSControl_FuncShape::MoreShapes | ( | const Handle(XSControl_WorkSession)& | session,
|  | Handle(TopTools_HSequenceOfShape)& | list,
|  | const Standard_CString | name
| ) | `[static]`

void XSControl_FuncShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSControl_FuncShape::operator new | ( | size_t | size | ) | `[inline]`

void* XSControl_FuncShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- XSControl_FuncShape.hxx